# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IDynamicText

Packages that use IDynamicText
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IDynamicText in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IDynamicText
Modifier and Type
Method
Description
`IDynamicText`
IReportDesign.`getDynamicText(String name)`
method to get a dynamic text data item by name.

## Uses of IDynamicText in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IDynamicText
Modifier and Type
Method
Description
`void`
DynamicTextEventAdapter.`onPrepare(IDynamicText textData, IReportContext reportContext)`

## Uses of IDynamicText in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IDynamicText
Modifier and Type
Method
Description
`void`
IDynamicTextEventHandler.`onPrepare(IDynamicText textData, IReportContext reportContext)`
Handle the onPrepare event